#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: SafeSemaphore
version: 0.10.1
id: SafeSemaphore-0.10.1-ca2c28b8afcd8cba8d293080d6b8dc31
key: SafeS_3euke6WurQpHmwCnL5TnPc
license: BSD3
maintainer: Chris Kuklewicz <haskell@list.mightyreason.com>
homepage: https://github.com/ChrisKuklewicz/SafeSemaphore
synopsis: Much safer replacement for QSemN, QSem, and SampleVar
description:
    This provides a much safer semaphore than the QSem, QSemN, SampleVar in base.
    Those base modules are not exception safe and can be broken by killThread.
    See <https://github.com/ChrisKuklewicz/SafeSemaphore> for more details.
category: Concurrency
author: Chris Kuklewicz <haskell@list.mightyreason.com>
exposed: True
exposed-modules:
    Control.Concurrent.MSem Control.Concurrent.MSemN
    Control.Concurrent.MSemN2 Control.Concurrent.MSampleVar
    Control.Concurrent.FairRWLock Control.Concurrent.SSem
    Control.Concurrent.STM.SSem
hidden-modules: Control.Concurrent.STM.SSemInternals
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/SafeSemaphore-0.10.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/SafeSemaphore-0.10.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/SafeSemaphore-0.10.1
hs-libraries: HSSafeSemaphore-0.10.1-3euke6WurQpHmwCnL5TnPc
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    containers-0.5.6.2-fa9a4462de473ca3ca1d565cbe6dba33
    stm-2.4.4-bfc1dfbad2c1b92f42a076333af96123
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/SafeSemaphore-0.10.1/html/SafeSemaphore.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/SafeSemaphore-0.10.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
